import { csvParse, select } from 'd3';
import { scatterPlot } from './scatterPlot';
import { data } from '@padmeshnaik/4f0db87fd24a429582a12690be5b2e07';

for (const d of data) {
  d.Temperature = +d.Temperature;
  d.EnergyConsumption = +d.EnergyConsumption;
}

export const main = (container, { state, setState }) => {
  const width = window.innerWidth;
  const height = window.innerHeight;

  const svg = select(container)
    .selectAll('svg')
    .data([null])
    .join('svg')
    .attr('width', width)
    .attr('height', height);

  svg.call(scatterPlot, {
    data,
    width,
    height,
    xValue: (d) => d.EnergyConsumption,
    yValue: (d) => d.Temperature,
    colorValue: (d) => d.HVACUsage,
    xAxisLabel: 'Humidity',
    yAxisLabel: 'Temperature',
    colorLegendLabel: 'HVAC',
    margin: {
      top: 38,
      right: 51,
      bottom: 50,
      left: 50,
    },
    colorLegendX: width - 106,
    colorLegendY: height - 164,
  });
};
